<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>Utilities</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Utilities";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Utilities.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">tools</a></div>
<h2 title="Class Utilities" class="title">Class Utilities</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>tools.Utilities</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Utilities</span>
extends java.lang.Object</pre>
<div class="block">Tools Library.
 Class with common or general utilities.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#DATE_FORMATTER">DATE_FORMATTER</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_SCANNER_DATE">ERROR_SCANNER_DATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_SCANNER_INT">ERROR_SCANNER_INT</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_SCANNER_PERIOD">ERROR_SCANNER_PERIOD</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_SCANNER_STRING">ERROR_SCANNER_STRING</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ERROR_STRING">ERROR_STRING</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_SCANNER_DATE">TEXT_SCANNER_DATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_SCANNER_DATE_FROM">TEXT_SCANNER_DATE_FROM</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_SCANNER_DATE_TO">TEXT_SCANNER_DATE_TO</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEXT_SCANNER_PERIOD">TEXT_SCANNER_PERIOD</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Utilities</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#average(double,int)">average</a></span>&#8203;(double&nbsp;total,
       int&nbsp;times)</code></th>
<td class="colLast">
<div class="block">Returns the average value for the indicated total</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#average(int,int)">average</a></span>&#8203;(int&nbsp;total,
       int&nbsp;times)</code></th>
<td class="colLast">
<div class="block">Returns the average value for the indicated total</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#boolToString(boolean)">boolToString</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Convert a Boolean value to Yes/No text</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#dateToString(java.time.LocalDate)">dateToString</a></span>&#8203;(java.time.LocalDate&nbsp;date)</code></th>
<td class="colLast">
<div class="block">Convert a Date to String format</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLine(char,int)">getLine</a></span>&#8203;(char&nbsp;character,
       int&nbsp;size)</code></th>
<td class="colLast">
<div class="block">Returns a line string of the indicated length</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMonthLength(int,int)">getMonthLength</a></span>&#8203;(int&nbsp;year,
              int&nbsp;month)</code></th>
<td class="colLast">
<div class="block">Return the number of days of a month</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMonthName(int)">getMonthName</a></span>&#8203;(int&nbsp;month)</code></th>
<td class="colLast">
<div class="block">Returns the name of the indicated month</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getYearLength(int)">getYearLength</a></span>&#8203;(int&nbsp;year)</code></th>
<td class="colLast">
<div class="block">Return the number of days of a year</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isValidDate(java.lang.String)">isValidDate</a></span>&#8203;(java.lang.String&nbsp;date)</code></th>
<td class="colLast">
<div class="block">Check if a string date its a correct date</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isWeekend(java.time.LocalDate)">isWeekend</a></span>&#8203;(java.time.LocalDate&nbsp;date)</code></th>
<td class="colLast">
<div class="block">Indicates if the specified date is a weekend</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>static java.time.LocalDate</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#randomDate(int)">randomDate</a></span>&#8203;(int&nbsp;year)</code></th>
<td class="colLast">
<div class="block">Get a random date for year indicated</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#randomInt(int,int)">randomInt</a></span>&#8203;(int&nbsp;minValue,
         int&nbsp;maxValue)</code></th>
<td class="colLast">
<div class="block">Gets a random integer number in the range 1 to the maximum value indicated</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>static java.time.LocalDate</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requestDate(java.lang.String)">requestDate</a></span>&#8203;(java.lang.String&nbsp;text)</code></th>
<td class="colLast">
<div class="block">Request a date value to the user.</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requestInt(java.lang.String,int,int)">requestInt</a></span>&#8203;(java.lang.String&nbsp;text,
          int&nbsp;minValue,
          int&nbsp;maxValue)</code></th>
<td class="colLast">
<div class="block">Request a numeric value to the user.If indicated, an informative text is displayed.</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>static java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Object&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requestPeriod(java.lang.String)">requestPeriod</a></span>&#8203;(java.lang.String&nbsp;text)</code></th>
<td class="colLast">
<div class="block">Request a period of dates to the user.</div>
</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requestString(java.lang.String,int)">requestString</a></span>&#8203;(java.lang.String&nbsp;text,
             int&nbsp;maxLength)</code></th>
<td class="colLast">
<div class="block">Request a string value to the user.</div>
</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ucFirst(java.lang.String)">ucFirst</a></span>&#8203;(java.lang.String&nbsp;str)</code></th>
<td class="colLast">
<div class="block">Converts the first character of a string to uppercase.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="DATE_FORMATTER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATE_FORMATTER</h4>
<pre>private static final&nbsp;java.lang.String DATE_FORMATTER</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.Utilities.DATE_FORMATTER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_SCANNER_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_SCANNER_DATE</h4>
<pre>private static final&nbsp;java.lang.String ERROR_SCANNER_DATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.Utilities.ERROR_SCANNER_DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_SCANNER_INT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_SCANNER_INT</h4>
<pre>private static final&nbsp;java.lang.String ERROR_SCANNER_INT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.Utilities.ERROR_SCANNER_INT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_SCANNER_PERIOD">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_SCANNER_PERIOD</h4>
<pre>private static final&nbsp;java.lang.String ERROR_SCANNER_PERIOD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.Utilities.ERROR_SCANNER_PERIOD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_SCANNER_STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_SCANNER_STRING</h4>
<pre>private static final&nbsp;java.lang.String ERROR_SCANNER_STRING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.Utilities.ERROR_SCANNER_STRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ERROR_STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ERROR_STRING</h4>
<pre>private static final&nbsp;java.lang.String ERROR_STRING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.Utilities.ERROR_STRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_SCANNER_DATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_SCANNER_DATE</h4>
<pre>private static final&nbsp;java.lang.String TEXT_SCANNER_DATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.Utilities.TEXT_SCANNER_DATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_SCANNER_DATE_FROM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_SCANNER_DATE_FROM</h4>
<pre>private static final&nbsp;java.lang.String TEXT_SCANNER_DATE_FROM</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.Utilities.TEXT_SCANNER_DATE_FROM">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_SCANNER_DATE_TO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEXT_SCANNER_DATE_TO</h4>
<pre>private static final&nbsp;java.lang.String TEXT_SCANNER_DATE_TO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.Utilities.TEXT_SCANNER_DATE_TO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEXT_SCANNER_PERIOD">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TEXT_SCANNER_PERIOD</h4>
<pre>private static final&nbsp;java.lang.String TEXT_SCANNER_PERIOD</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#tools.Utilities.TEXT_SCANNER_PERIOD">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Utilities</h4>
<pre>public&nbsp;Utilities()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="average(double,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>average</h4>
<pre class="methodSignature">public static&nbsp;double&nbsp;average&#8203;(double&nbsp;total,
                             int&nbsp;times)</pre>
<div class="block">Returns the average value for the indicated total</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>total</code> - </dd>
<dd><code>times</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>double</dd>
</dl>
</li>
</ul>
<a id="average(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>average</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;average&#8203;(int&nbsp;total,
                          int&nbsp;times)</pre>
<div class="block">Returns the average value for the indicated total</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>total</code> - </dd>
<dd><code>times</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="boolToString(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>boolToString</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;boolToString&#8203;(boolean&nbsp;value)</pre>
<div class="block">Convert a Boolean value to Yes/No text</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="dateToString(java.time.LocalDate)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dateToString</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;dateToString&#8203;(java.time.LocalDate&nbsp;date)</pre>
<div class="block">Convert a Date to String format</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="getLine(char,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLine</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;getLine&#8203;(char&nbsp;character,
                                       int&nbsp;size)</pre>
<div class="block">Returns a line string of the indicated length</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>character</code> - </dd>
<dd><code>size</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="getMonthLength(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMonthLength</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;getMonthLength&#8203;(int&nbsp;year,
                                 int&nbsp;month)</pre>
<div class="block">Return the number of days of a month</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dd><code>month</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="getMonthName(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMonthName</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;getMonthName&#8203;(int&nbsp;month)</pre>
<div class="block">Returns the name of the indicated month</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>month</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="getYearLength(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getYearLength</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;getYearLength&#8203;(int&nbsp;year)</pre>
<div class="block">Return the number of days of a year</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>365|366</dd>
</dl>
</li>
</ul>
<a id="isValidDate(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidDate</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isValidDate&#8203;(java.lang.String&nbsp;date)</pre>
<div class="block">Check if a string date its a correct date</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="isWeekend(java.time.LocalDate)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWeekend</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isWeekend&#8203;(java.time.LocalDate&nbsp;date)</pre>
<div class="block">Indicates if the specified date is a weekend</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="randomDate(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>randomDate</h4>
<pre class="methodSignature">public static&nbsp;java.time.LocalDate&nbsp;randomDate&#8203;(int&nbsp;year)</pre>
<div class="block">Get a random date for year indicated</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>LocalDate</dd>
</dl>
</li>
</ul>
<a id="randomInt(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>randomInt</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;randomInt&#8203;(int&nbsp;minValue,
                            int&nbsp;maxValue)</pre>
<div class="block">Gets a random integer number in the range 1 to the maximum value indicated</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>minValue</code> - </dd>
<dd><code>maxValue</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="requestDate(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requestDate</h4>
<pre class="methodSignature">public static&nbsp;java.time.LocalDate&nbsp;requestDate&#8203;(java.lang.String&nbsp;text)</pre>
<div class="block">Request a date value to the user. If indicated, an informative text is displayed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>LocalDate</dd>
</dl>
</li>
</ul>
<a id="requestInt(java.lang.String,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requestInt</h4>
<pre class="methodSignature">public static&nbsp;int&nbsp;requestInt&#8203;(java.lang.String&nbsp;text,
                             int&nbsp;minValue,
                             int&nbsp;maxValue)</pre>
<div class="block">Request a numeric value to the user.If indicated, an informative text is displayed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - </dd>
<dd><code>minValue</code> - </dd>
<dd><code>maxValue</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a id="requestPeriod(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requestPeriod</h4>
<pre class="methodSignature">public static&nbsp;java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;requestPeriod&#8203;(java.lang.String&nbsp;text)</pre>
<div class="block">Request a period of dates to the user. If indicated, an informative text is displayed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Period</dd>
</dl>
</li>
</ul>
<a id="requestString(java.lang.String,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requestString</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;requestString&#8203;(java.lang.String&nbsp;text,
                                             int&nbsp;maxLength)</pre>
<div class="block">Request a string value to the user. If indicated, an informative text is displayed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>text</code> - </dd>
<dd><code>maxLength</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="ucFirst(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ucFirst</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;ucFirst&#8203;(java.lang.String&nbsp;str)</pre>
<div class="block">Converts the first character of a string to uppercase.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>str</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Utilities.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
